Create item

In it's simplest form, creating an item just requires the project_id in the path parameters. You will usually want to set at least a name, and one of template_id OR structure (but not both).

You can also set a workflow status_id, a folder_uuid and position to set where in the hierarchy of existing items the new item should be placed (the default is appended to the existing items in the project root folder).

You can optionally set the content for the item too, which is an array of objects for every field you want to set the content for. Each object must contain a uuid (which matches a field uuid from the items template or custom structure) and content, which is where the raw HTML, text or other content should go.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Project id

Body Params
string

The item name. Defaults to "untitled item".

integer

Set the existing template to use on the item. Note, you cannot set a template_id and custom structure for the same item.

structure
object
integer

Set the workflow status of the item. Defaults to the project default status.

string

Set the folder the item will be created in. If no folder is provided the item will be created in the projects root folder.

integer

Optionally set the items position against the list of existing items. Default position is at the end of the existing items within its folder.

content
object

A key/value mapping of structure field uuid to content.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.gathercontent.v2+json